--- title: "Get player list" slug: "gamepot-getplayerlist" updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/gamepot-getplayerlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get player list Available in Classic and VPC Get the list of game players. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /v2/players | ### Request headers For information about the headers common to all GAMEPOT 3.0 APIs, see [GAMEPOT 3.0 request headers](/docs/en/gamepot-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `filter` | String | Required | Filtering criteria - Filters by some fields in the response body. - Filters only full matches. - Enter an empty value `{}` if there is no criteria. - Example: `{"player_id":"{Player ID}"}`, `{"name":"{Player name}"}`, `{"deleted":false}` | | `sort` | String | Optional | Sort by - Enter in the form of `{Criteria:Method}`. - Criteria: String type fields in the response body. - Method: `-1` \| `1` - `-1`: Descending - `1`: Ascending - e.g., `{"createdAt":"-1"}`: Descending by creation date and time. | | `option` | String | Optional | Additional options: [option](/docs/en/gamepot-getplayerlist#option) - e.g., `{"offset":0,"per_page":20}`: Display the first 20 items. | #### `option` The following describes `option`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `offset` | Integer | Optional | Query start offset - 0-N | | `per_page` | Integer | Optional | Number of items per page - 1-100 | ### Request example The request example is as follows: ``` curl --location --request GET 'https://dashboard-api.gamepot.ntruss.com/v2/players?filter=%7B%22project_id%22%3A%2285ecd393-****-****-****-d85c321772da%22%7D&sort=%7B%22createdAt%22%3A%22-1%22%7D&option=%7B%22offset%22%3A0%2C%22per_page%22%3A20%7D' \ --header 'x-api-key: {API Key}' \ --header 'x-project-id: {Project ID}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `totalCount` | Integer | - | Total response count | | `players` | Array | - | Player list: [players](/docs/en/gamepot-getplayerlist#players) | #### `players` The following describes `players`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `server_id` | String | - | Server ID | | `deleted` | Boolean | - | Player deletion status - `true` \| `false` - `true`: Deleted - `false`: Not deleted | | `_id` | String | - | Object ID | | `player_id` | String | - | Player ID | | `project_id` | String | - | Project ID | | `user_id` | String | - | User ID | | `createdAt` | String | - | Player creation date and time - ISO 8601 format | | `id` | String | - | Player identification ID | | `ip` | String | - | Player IP address | | `level` | String | - | Player level | | `name` | String | - | Player name | | `updatedAt` | String | - | Information modification date and time - ISO 8601 format | | `userdata` | String | - | User data (Userdata) | Note The `_id` is a field that can be displayed in the response results but does not affect the use of the service. ### Response status codes For information about the response status codes common to all GAMEPOT 3.0 APIs, see [GAMEPOT 3.0 response status codes](/docs/en/gamepot-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "totalCount": 8, "players": [ { "server_id": "s1", "deleted": false, "_id": "68b54440c3aa0413a1f937f9", "player_id": "p1", "project_id": "85ecd393-****-****-****-d85c321772da", "user_id": "c6a80a22-****-****-****-9829e42730b0", "createdAt": "2025-09-01T06:59:12.556Z", "id": "2*******0f", "ip": "**.**.*.***", "level": "1", "name": "n1", "updatedAt": "2025-09-01T06:59:12.556Z", "userdata": "u1" }, ... ] } ```